GNU bug report logs - #15011
24.3; Scrolling Performance

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,cc-mode; Reported by: "Calkins, Chad M" <chad.calkins@HIDDEN>; dated Fri, 2 Aug 2013 20:03:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 4 Aug 2013 21:32:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 17:32:24 2013
Received: from localhost ([127.0.0.1]:40197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V65ua-0006Fd-6x
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2013 17:32:24 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:14752)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V65uY-0006FH-1H
 for 15011 <at> debbugs.gnu.org; Sun, 04 Aug 2013 17:32:22 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxKix/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLDiYSFBgNJIgeBsEtkQoDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFxKix/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLDiYSFBgNJIgeBsEtkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="20556948"
Received: from 69-196-168-177.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.168.177])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 04 Aug 2013 17:32:09 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id B8CD862DAB; Sun,  4 Aug 2013 17:32:15 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#15011: 24.3; Scrolling Performance
Message-ID: <jwvli4h2lx7.fsf-monnier+emacs@HIDDEN>
References: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
 <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
 <jwvmwoz8t14.fsf-monnier+emacs@HIDDEN>
 <20130803140649.GA3348@HIDDEN>
Date: Sun, 04 Aug 2013 17:32:15 -0400
In-Reply-To: <20130803140649.GA3348@HIDDEN> (Alan Mackenzie's message of
 "Sat, 3 Aug 2013 14:06:49 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15011
Cc: 15011 <at> debbugs.gnu.org, Barry OReilly <gundaetiapo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I think the best behaviour on auto-repeat scrolling in slow fontifying
> modes would be for the text to scroll by unfontified until the
> <page-down> key is released, the final window contents then being
> fontified.  I've not managed to configure the current jit-lock to
> achieve this behaviour.  Is this possible?

Setting jit-lock-defer-time to (/ 1.0 repeat-rate) should get you
fairly close.

> `jit-lock-function' could then be modified to calculate how many buffer
> positions it is going to be expected to fontify, and whether it can
> achieve this before the putative next auto-repeat scroll command
> arrives.

We could refine jit-lock-defer in such a way, indeed.  I guess we could
do something like set jit-lock-defer-time to a very low value (like 0s)
and then each time we get a request for N bytes of fontification, we
postpone running the timer by some additional increment (until reaching
some maximum).

Of course, this assumes that the time to fontify is proportional to the
text to fontify, which is not necessarily the case (in many case,
a significant part of slowdown is a need to scan a large amount of text
before point to determine the syntax at a particular position in the
buffer, so just fontifying this particular position will require a lot
of time).

Note also that the OP mentioned:

> Once you have scrolled to the bottom of the file Page Down will work
> reasonably, however page up remains slow.

Which seems to indicate that page-up scrolling is too slow even
when font/jit-lock is not called any more.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 3 Aug 2013 08:14:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 04:14:37 2013
Received: from localhost ([127.0.0.1]:37594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5Wyz-0000r6-A9
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2013 04:14:37 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:57812)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1V5Wyx-0000qW-5F
 for 15011 <at> debbugs.gnu.org; Sat, 03 Aug 2013 04:14:35 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MQY002003L3NE00@HIDDEN> for 15011 <at> debbugs.gnu.org;
 Sat, 03 Aug 2013 11:14:28 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MQY00253483AX80@HIDDEN>;
 Sat, 03 Aug 2013 11:14:27 +0300 (IDT)
Date: Sat, 03 Aug 2013 11:14:29 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15011: 24.3; Scrolling Performance
In-reply-to: <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Barry OReilly <gundaetiapo@HIDDEN>
Message-id: <83r4ebxkbe.fsf@HIDDEN>
References: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
 <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15011
Cc: 15011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 2 Aug 2013 18:26:14 -0400
> From: Barry OReilly <gundaetiapo@HIDDEN>
> 
> Scrolling is known to be slow in C++ files without some performance
> tunes. I use these two customizations myself:
> 
>  '(font-lock-maximum-decoration (quote ((c++-mode . 2))))
>  '(jit-lock-defer-time 0.01)

Please provide some additional data, like the rate of your keyboard
auto-repeat (assuming that's when the problem happens), the usual
height of your C++ windows, the kind of CPU and clock speed you have,
and some quantitative measure of "slow scrolling".

A repeatable test case, starting from "emacs -Q", with a file to use
would also be good.

Without these data, a bug report such as this can never be known to be
resolved, because there's no way of telling whether what's fast enough
in my use cases is fast enough for yours.




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 3 Aug 2013 08:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 04:10:41 2013
Received: from localhost ([127.0.0.1]:37590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5WvA-0000hl-Lb
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2013 04:10:40 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:63453)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1V5Wv6-0000hJ-UJ
 for 15011 <at> debbugs.gnu.org; Sat, 03 Aug 2013 04:10:37 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0MQY00C003XJBG00@HIDDEN> for 15011 <at> debbugs.gnu.org;
 Sat, 03 Aug 2013 11:09:31 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MQY00BUH3ZUUA80@HIDDEN>;
 Sat, 03 Aug 2013 11:09:31 +0300 (IDT)
Date: Sat, 03 Aug 2013 11:09:32 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#15011: 24.3; Scrolling Performance
In-reply-to: <55c39a23-a810-4ca8-a6bb-8a10f3d3c4c6@default>
X-012-Sender: halo1@HIDDEN
To: Drew Adams <drew.adams@HIDDEN>
Message-id: <83siyrxkjn.fsf@HIDDEN>
References: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
 <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
 <55c39a23-a810-4ca8-a6bb-8a10f3d3c4c6@default>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15011
Cc: 15011 <at> debbugs.gnu.org, gundaetiapo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Fri, 2 Aug 2013 16:21:38 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> > Scrolling is known to be slow in C++ files without some performance
> > tunes. I use these two customizations myself:
> > 
> >  '(font-lock-maximum-decoration (quote ((c++-mode . 2))))
> >  '(jit-lock-defer-time 0.01)
> 
> Should settings such as these be turned on by default in C++ mode?

The 2nd one causes fast scrolling (e.g., lean on the "C-v" key)
refrain from fontification, so you see unfontified text scrolling past
you.  Therefore, I'd advise against such default.




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 3 Aug 2013 01:26:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 21:26:24 2013
Received: from localhost ([127.0.0.1]:37315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5Qbw-0004HW-49
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 21:26:24 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:22397)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V5Qbu-0004HE-Cl
 for 15011 <at> debbugs.gnu.org; Fri, 02 Aug 2013 21:26:22 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFG4rw3m/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOkeoFegxM
X-IPAS-Result: Av4EABK/CFG4rw3m/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOkeoFegxM
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="20480861"
Received: from 184-175-13-230.dsl.teksavvy.com (HELO pastel.home)
 ([184.175.13.230])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 02 Aug 2013 21:26:10 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 8964B63129; Fri,  2 Aug 2013 21:26:16 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Barry OReilly <gundaetiapo@HIDDEN>
Subject: Re: bug#15011: 24.3; Scrolling Performance
Message-ID: <jwvmwoz8t14.fsf-monnier+emacs@HIDDEN>
References: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
 <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
Date: Fri, 02 Aug 2013 21:26:16 -0400
In-Reply-To: <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
 (Barry OReilly's message of "Fri, 2 Aug 2013 18:26:14 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15011
Cc: 15011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Scrolling is known to be slow in C++ files without some performance
> tunes. I use these two customizations myself:

>  '(font-lock-maximum-decoration (quote ((c++-mode . 2))))
>  '(jit-lock-defer-time 0.01)

These are workarounds.  We should strive to make the default work well,
without things like jit-lock-defer-time.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 2 Aug 2013 23:21:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 19:21:51 2013
Received: from localhost ([127.0.0.1]:37189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5OfP-00008C-FT
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 19:21:51 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:46296)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1V5OfM-00007e-Jp
 for 15011 <at> debbugs.gnu.org; Fri, 02 Aug 2013 19:21:49 -0400
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with ESMTP id
 r72NLelJ015268
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 2 Aug 2013 23:21:41 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r72NLdpf014923
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Fri, 2 Aug 2013 23:21:40 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id r72NLdVT000950;
 Fri, 2 Aug 2013 23:21:39 GMT
MIME-Version: 1.0
Message-ID: <55c39a23-a810-4ca8-a6bb-8a10f3d3c4c6@default>
Date: Fri, 2 Aug 2013 16:21:38 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Barry OReilly <gundaetiapo@HIDDEN>, 15011 <at> debbugs.gnu.org
Subject: RE: bug#15011: 24.3; Scrolling Performance
References: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
 <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
In-Reply-To: <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.7  (607090) [OL
 12.0.6668.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 15011
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

> Scrolling is known to be slow in C++ files without some performance
> tunes. I use these two customizations myself:
>=20
>  '(font-lock-maximum-decoration (quote ((c++-mode . 2))))
>  '(jit-lock-defer-time 0.01)

Should settings such as these be turned on by default in C++ mode?




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at 15011 <at> debbugs.gnu.org:


Received: (at 15011) by debbugs.gnu.org; 2 Aug 2013 22:26:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 18:26:23 2013
Received: from localhost ([127.0.0.1]:37148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5Nni-0006jU-Sg
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 18:26:23 -0400
Received: from mail-ob0-f196.google.com ([209.85.214.196]:56777)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gundaetiapo@HIDDEN>) id 1V5Nng-0006jA-GP
 for 15011 <at> debbugs.gnu.org; Fri, 02 Aug 2013 18:26:21 -0400
Received: by mail-ob0-f196.google.com with SMTP id wc20so882775obb.11
 for <15011 <at> debbugs.gnu.org>; Fri, 02 Aug 2013 15:26:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=pU0djiqCkyrqbzbGy1MD5lrRCKZaJyJj/39lsCWmD1g=;
 b=JRaZf6ARnJIMAeREzMBuhRHNqCWlw+OyK9iVSzgYe9Yc/yJlkwdEZtD/cKJSajlQ2L
 kn1S7EATCyW5/avwp7DkDjkPWq1PW3VirYKrDnmmzUx+mUqd39pMzL8EvwuBECkcRGLD
 Oe23G9vKtUkTHv9DxQeP9JrPbW9LJgqeGwHTXZ6zpbH2GlSmUuJuUi3Zj9HlITZLRr8K
 6Zj/zx3C/MTM2ZLPKDiX11g5tlZOGeZ43heOCblJ1eg1mDPbzfwZUvBKq6qYnL72vEqo
 hkOp1omFsXZG7Ub6nOe3o7WIwKHqVvzFxUEc/k1hX5Zkf95hsv+j2gatwgbR+CNBdycH
 PYlw==
MIME-Version: 1.0
X-Received: by 10.60.43.73 with SMTP id u9mr6930993oel.105.1375482374767; Fri,
 02 Aug 2013 15:26:14 -0700 (PDT)
Received: by 10.76.89.194 with HTTP; Fri, 2 Aug 2013 15:26:14 -0700 (PDT)
Date: Fri, 2 Aug 2013 18:26:14 -0400
Message-ID: <CAFM41H36EZLJiA7cdh8PpFGWZZY-EGL-FmLRP93m-xXCN6nztg@HIDDEN>
Subject: bug#15011: 24.3; Scrolling Performance
From: Barry OReilly <gundaetiapo@HIDDEN>
To: 15011 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15011
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Scrolling is known to be slow in C++ files without some performance
tunes. I use these two customizations myself:

 '(font-lock-maximum-decoration (quote ((c++-mode . 2))))
 '(jit-lock-defer-time 0.01)




Information forwarded to bug-gnu-emacs@HIDDEN, bug-cc-mode@HIDDEN:
bug#15011; Package emacs,cc-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Aug 2013 20:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 16:02:08 2013
Received: from localhost ([127.0.0.1]:36890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5LY7-0001Fo-Ec
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 16:02:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41516)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5LTM-00015B-S5
 for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 15:57:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5LT9-0002sC-8q
 for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 15:57:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51058)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5LT9-0002rz-40
 for submit <at> debbugs.gnu.org; Fri, 02 Aug 2013 15:56:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43114)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5LT2-0003qP-8M
 for bug-gnu-emacs@HIDDEN; Fri, 02 Aug 2013 15:56:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5JEv-0008VM-7V
 for bug-gnu-emacs@HIDDEN; Fri, 02 Aug 2013 13:34:24 -0400
Received: from service41-us.mimecast.com ([207.211.31.47]:38121)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <chad.calkins@HIDDEN>) id 1V5JEu-0008Ud-Tr
 for bug-gnu-emacs@HIDDEN; Fri, 02 Aug 2013 13:34:09 -0400
Received: from US-CASHT3.ingrnet.com (us-casht3.ingrnet.com
 [129.135.112.43]) (Using TLS) by service42-us.mimecast.com; Fri, 02 Aug
 2013 13:33:03 -0400
Received: from US-MBX2.ingrnet.com ([169.254.2.75]) by US-CASHT3.ingrnet.com
 ([129.135.112.43]) with mapi id 14.01.0438.000; Fri, 2 Aug 2013 12:33:02
 -0500
From: "Calkins, Chad M" <chad.calkins@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 24.3; Scrolling Performance
Thread-Topic: 24.3; Scrolling Performance
Thread-Index: Ac6PpPiaqmOBk7leQkSikhfJ2ZsF+A==
Date: Fri, 2 Aug 2013 17:33:02 +0000
Message-ID: <6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [129.135.24.105]
MIME-Version: 1.0
X-MC-Unique: 113080213330301302
Content-Type: multipart/alternative;
 boundary="_000_6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9USMBX2ingrnetco_"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 02 Aug 2013 16:02:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

--_000_6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9USMBX2ingrnetco_
Content-Type: text/plain; charset=WINDOWS-1252
Content-Transfer-Encoding: quoted-printable

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

Open large C++ file (17,000 line in this case).  Hold down Page Down
key.  Emacs will scroll two or three times and then pause for 15 seconds
or more.  Once you have scrolled to the bottom of the file Page Down
will work reasonably, however page up remains slow.  emacs -Q is
marginally faster than my configuration (just marginally).  When doing
any scrolling the CPU is maxed.  (core 2 duo)

Emacs GNU Emacs 22.3.1 (i386-mingw-nt6.1.7601) also has slower initial
scroll through, it does not however lock up and after the initial scroll
through both page up and page down display every single step.  (Initial
scroll through is only marginally slower than subsequent ones).

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/working_chad/emacs_new_current/emacs-24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7601)
of 2013-03-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
`configure --with-gcc (4.7) --cflags
-ID:/devel/emacs/libs/libXpm-3.5.8/include
-ID:/devel/emacs/libs/libXpm-3.5.8/src
-ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
-ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
-ID:/devel/emacs/libs/giflib-4.1.4-1/include
-ID:/devel/emacs/libs/jpeg-6b-4/include
-ID:/devel/emacs/libs/tiff-3.8.2-1/include
-ID:/devel/emacs/libs/gnutls-3.0.9/include
-ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
-ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
  which-function-mode: t
  global-auto-revert-mode: t
  show-paren-mode: t
  cua-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-movement> <mouse-1> <C-prior> <C-home> C-z <up>
<up> <C-home> C-s c r e a t e <up> <up> <up> <up> <up>
<up> <down-mouse-1> <mouse-1> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <help-echo>
<help-echo> <help-echo> <wheel-up> <double-wheel-up>
<down-mouse-1> <mouse-1> <menu-bar> <Org> <Logging
work> <Clock in> <help-echo> <menu-bar> <Org> <Logging
work> <Clock out> <menu-bar> <Org> <Logging work> <Clock
in> <help-echo> <down-mouse-1> <mouse-1> <wheel-up>
<double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <down-mouse-1>
<mouse-1> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-down> <double-wheel-down>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-movement>
<mouse-1> <down-mouse-1> <mouse-1> C-s c r e a t e
SPC u s <down-mouse-1> <mouse-1> c r e a t SPC <backspace>
e SPC u s e r SPC f o r t i s SPC i d e n t i f i e
d SPC b y SPC f o r t i s ; <return> <help-echo> <down-mouse-1>
<mouse-1> C-s g r a n t C-s C-s C-s <C-home> C-s C-s
<down-mouse-1> <mouse-1> g r a n t SPC d b a SPC t
o SPC f o r t i s ; <return> <help-echo> <down-mouse-1>
<mouse-movement> <wheel-up> <drag-mouse-1> <wheel-down>
<wheel-down> <wheel-down> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <down-mouse-1>
<mouse-1> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-up> <double-wheel-up> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <wheel-up> <double-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<C-kp-3> <C-f12> <wheel-down> <wheel-down> <wheel-down>
<wheel-down> <double-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <triple-wheel-down> <wheel-down>
<wheel-down> <double-wheel-down> <triple-wheel-down>
<triple-wheel-down> <help-echo> <wheel-up> <double-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<wheel-up> <double-wheel-up> <triple-wheel-up> <triple-wheel-up>
<triple-wheel-up> <wheel-up> <wheel-down> <double-wheel-down>
<C-f12> <left> <left> <left> <left> C-c C-c <help-echo>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <home>
<S-down> <delete> <up> C-c C-c <up> <up> <right> <down>
<right> <right> <right> <up> <down> C-c C-c <menu-bar>
<Org> <Logging work> <Clock out> <menu-bar> <Org> <Logging
work> <Clock in> <help-echo> <down-mouse-1> <mouse-movement>
<mouse-1> M-x r e p o r t - e m <tab> <return>

Recent messages:
Clock starts at [2013-08-02 Fri 10:41] - showing entire task time.
byte-code: Beginning of buffer [13 times]
Mark saved where search started [2 times]
Mark set
Mark saved where search started
Auto-saving...done
Mark set
org-ctrl-c-ctrl-c: C-c C-c can do nothing useful at this location
Clock stopped at [2013-08-02 Fri 10:54] after HH:MM =3D 0:13
Clock starts at [2013-08-02 Fri 10:55] - showing entire task time.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader sendmail mail-utils
sql vc-cvs vc-rcs vc-dir ewoc vc misearch multi-isearch add-log
vc-dispatcher vc-svn hideshow help-mode tabify org-table org-clock
w32-fullscreen org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html org-exp ob-exp org-agenda org-info
org-gnus org-docview org-bibtex bibtex org-bbdb org ob-tangle ob-ref
ob-lob ob-table org-footnote org-src ob-comint ob-keys org-pcomplete
pcomplete org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob ob-eval org-loaddefs format-spec cal-menu
calendar cal-loaddefs longlines confluence advice help-fns
advice-preload confluence-edit image-file browse-url thingatpt
ediff-merg ediff-diff ediff-wind ediff-help ediff-util ediff-mult
ediff-init ediff url-http tls url-auth mail-parse rfc2231 rfc2047
rfc2045 ietf-drums url-gw xml-rpc xml doc-view jka-compr image-mode
dired goto-last-change warnings server org-exp-blocks org-compat
org-macs find-func iimage php-mode etags cc-langs cl cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
speedbar sb-image ezimage dframe easymenu ds-grep derived compile comint
ansi-color ring cl-macs gv cl-lib tempo url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
gnus-util mm-util mail-prsvr password-cache url-vars mailcap xml-parse
doxymacs which-func imenu autorevert paren cua-base cus-start cus-load
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process w32 multi-tty emacs)
--_000_6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9USMBX2ingrnetco_
Content-Type: text/html; charset=WINDOWS-1252
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3D"Generator" content=3D"Microsoft Word 14 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
=09{font-family:Calibri;
=09panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
=09{margin:0in;
=09margin-bottom:.0001pt;
=09font-size:11.0pt;
=09font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
=09{mso-style-priority:99;
=09color:blue;
=09text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
=09{mso-style-priority:99;
=09color:purple;
=09text-decoration:underline;}
span.EmailStyle17
=09{mso-style-type:personal-compose;
=09font-family:"Calibri","sans-serif";
=09color:windowtext;}
.MsoChpDefault
=09{mso-style-type:export-only;
=09font-family:"Calibri","sans-serif";}
@page WordSection1
=09{size:8.5in 11.0in;
=09margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
=09{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"EN-US" link=3D"blue" vlink=3D"purple">
<div class=3D"WordSection1">
<p class=3D"MsoNormal">This bug report will be sent to the Bug-GNU-Emacs ma=
iling list<o:p></o:p></p>
<p class=3D"MsoNormal">and the GNU bug tracker at debbugs.gnu.org.&nbsp; Pl=
ease check that<o:p></o:p></p>
<p class=3D"MsoNormal">the From: line contains a valid email address.&nbsp;=
 After a delay of up<o:p></o:p></p>
<p class=3D"MsoNormal">to one day, you should receive an acknowledgment at =
that address.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Please write in English if possible, as the Emacs ma=
intainers<o:p></o:p></p>
<p class=3D"MsoNormal">usually do not have translators for other languages.=
<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Please describe exactly what actions triggered the b=
ug, and<o:p></o:p></p>
<p class=3D"MsoNormal">the precise symptoms of the bug.&nbsp; If you can, g=
ive a recipe<o:p></o:p></p>
<p class=3D"MsoNormal">starting from `emacs -Q':<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Open large C&#43;&#43; file (17,000 line in this cas=
e).&nbsp; Hold down Page Down<o:p></o:p></p>
<p class=3D"MsoNormal">key.&nbsp; Emacs will scroll two or three times and =
then pause for 15 seconds<o:p></o:p></p>
<p class=3D"MsoNormal">or more.&nbsp; Once you have scrolled to the bottom =
of the file Page Down<o:p></o:p></p>
<p class=3D"MsoNormal">will work reasonably, however page up remains slow.&=
nbsp; emacs -Q is<o:p></o:p></p>
<p class=3D"MsoNormal">marginally faster than my configuration (just margin=
ally).&nbsp; When doing<o:p></o:p></p>
<p class=3D"MsoNormal">any scrolling the CPU is maxed.&nbsp; (core 2 duo)<o=
:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Emacs GNU Emacs 22.3.1 (i386-mingw-nt6.1.7601) also =
has slower initial<o:p></o:p></p>
<p class=3D"MsoNormal">scroll through, it does not however lock up and afte=
r the initial scroll<o:p></o:p></p>
<p class=3D"MsoNormal">through both page up and page down display every sin=
gle step.&nbsp; (Initial<o:p></o:p></p>
<p class=3D"MsoNormal">scroll through is only marginally slower than subseq=
uent ones).<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">If Emacs crashed, and you have the Emacs process in =
the gdb debugger,<o:p></o:p></p>
<p class=3D"MsoNormal">please include the output from the following gdb com=
mands:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;&nbsp;&nbsp; `bt full' and `xbacktrace'.<o:p><=
/o:p></p>
<p class=3D"MsoNormal">For information about debugging Emacs, please read t=
he file<o:p></o:p></p>
<p class=3D"MsoNormal">c:/working_chad/emacs_new_current/emacs-24.3/etc/DEB=
UG.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7601)<o:p></o:=
p></p>
<p class=3D"MsoNormal">of 2013-03-17 on MARVIN<o:p></o:p></p>
<p class=3D"MsoNormal">Windowing system distributor `Microsoft Corp.', vers=
ion 6.1.7601<o:p></o:p></p>
<p class=3D"MsoNormal">Configured using:<o:p></o:p></p>
<p class=3D"MsoNormal">`configure --with-gcc (4.7) --cflags<o:p></o:p></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/libXpm-3.5.8/include<o:p></o:p=
></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/libXpm-3.5.8/src<o:p></o:p></p=
>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include<o:p=
></o:p></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include<o:p><=
/o:p></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/giflib-4.1.4-1/include<o:p></o=
:p></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/jpeg-6b-4/include<o:p></o:p></=
p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/tiff-3.8.2-1/include<o:p></o:p=
></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/gnutls-3.0.9/include<o:p></o:p=
></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include<=
o:p></o:p></p>
<p class=3D"MsoNormal">-ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'=
<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Important settings:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; value of $LANG: ENU<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; locale-coding-system: cp1252<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; default enable-multibyte-characters: t<o:p></=
o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Major mode: Org<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Minor modes in effect:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; which-function-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-auto-revert-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; show-paren-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; cua-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; mouse-wheel-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; menu-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; file-name-shadow-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; blink-cursor-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-composition-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-encryption-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-compression-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; column-number-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; line-number-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; transient-mark-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Recent input:<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt=
; &lt;down-mouse-1&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;mouse-movement&gt; &lt;mouse-1&gt; &lt;C-prior&g=
t; &lt;C-home&gt; C-z &lt;up&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;up&gt; &lt;C-home&gt; C-s c r e a t e &lt;up&gt;=
 &lt;up&gt; &lt;up&gt; &lt;up&gt; &lt;up&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;up&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;=
wheel-down&gt; &lt;double-wheel-down&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;triple-wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;help-echo&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;help-echo&gt; &lt;help-echo&gt; &lt;wheel-up&gt;=
 &lt;double-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;menu-bar&gt=
; &lt;Org&gt; &lt;Logging <o:p></o:p></p>
<p class=3D"MsoNormal">work&gt; &lt;Clock in&gt; &lt;help-echo&gt; &lt;menu=
-bar&gt; &lt;Org&gt; &lt;Logging <o:p>
</o:p></p>
<p class=3D"MsoNormal">work&gt; &lt;Clock out&gt; &lt;menu-bar&gt; &lt;Org&=
gt; &lt;Logging work&gt; &lt;Clock <o:p>
</o:p></p>
<p class=3D"MsoNormal">in&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt; &lt;mo=
use-1&gt; &lt;wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;double-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
triple-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
down-mouse-1&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;mouse-1&gt; &lt;wheel-up&gt; &lt;double-wheel-up=
&gt; &lt;triple-wheel-up&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;wheel-down&gt; &lt;doubl=
e-wheel-down&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;triple-wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;wheel-up&gt; &lt;double-wheel-up&gt; &lt;triple-=
wheel-up&gt; &lt;triple-wheel-up&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
triple-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;wheel-down&gt; &lt;doubl=
e-wheel-down&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;down-mouse-=
1&gt; &lt;mouse-movement&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;mouse-1&gt; &lt;down-mouse-1&gt; &lt;mouse-1&gt;=
 C-s c r e a t e <o:p></o:p></p>
<p class=3D"MsoNormal">SPC u s &lt;down-mouse-1&gt; &lt;mouse-1&gt; c r e a=
 t SPC &lt;backspace&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">e SPC u s e r SPC f o r t i s SPC i d e n t i f i e =
<o:p></o:p></p>
<p class=3D"MsoNormal">d SPC b y SPC f o r t i s ; &lt;return&gt; &lt;help-=
echo&gt; &lt;down-mouse-1&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;mouse-1&gt; C-s g r a n t C-s C-s C-s &lt;C-home=
&gt; C-s C-s <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;down-mouse-1&gt; &lt;mouse-1&gt; g r a n t SPC d=
 b a SPC t <o:p></o:p></p>
<p class=3D"MsoNormal">o SPC f o r t i s ; &lt;return&gt; &lt;help-echo&gt;=
 &lt;down-mouse-1&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;mouse-movement&gt; &lt;wheel-up&gt; &lt;drag-mou=
se-1&gt; &lt;wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;wheel-down&gt; &lt;wheel-down&gt; &lt;wheel-down=
&gt; &lt;double-wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;down-mouse-1&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;mouse-1&gt; &lt;wheel-up&gt; &lt;double-wheel-up=
&gt; &lt;triple-wheel-up&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
triple-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;wheel-up&gt; &lt;double-=
wheel-up&gt; &lt;triple-wheel-up&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
wheel-up&gt; &lt;double-wheel-up&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
triple-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;C-kp-3&gt; &lt;C-f12&gt; &lt;wheel-down&gt; &lt;=
wheel-down&gt; &lt;wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;wheel-down&gt; &lt;double-wheel-down&gt; &lt;tri=
ple-wheel-down&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;triple-wheel-down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;triple-wheel-down&gt; =
&lt;wheel-down&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;wheel-down&gt; &lt;double-wheel-down&gt; &lt;tri=
ple-wheel-down&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-down&gt; &lt;help-echo&gt; &lt;whee=
l-up&gt; &lt;double-wheel-up&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;triple-wheel-up&gt; &lt;=
triple-wheel-up&gt; <o:p></o:p></p>
<p class=3D"MsoNormal">&lt;wheel-up&gt; &lt;double-wheel-up&gt; &lt;triple-=
wheel-up&gt; &lt;triple-wheel-up&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;triple-wheel-up&gt; &lt;wheel-up&gt; &lt;wheel-d=
own&gt; &lt;double-wheel-down&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;C-f12&gt; &lt;left&gt; &lt;left&gt; &lt;left&gt;=
 &lt;left&gt; C-c C-c &lt;help-echo&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;down-mouse-=
1&gt; &lt;mouse-1&gt; &lt;home&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;S-down&gt; &lt;delete&gt; &lt;up&gt; C-c C-c &lt=
;up&gt; &lt;up&gt; &lt;right&gt; &lt;down&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;right&gt; &lt;right&gt; &lt;right&gt; &lt;up&gt;=
 &lt;down&gt; C-c C-c &lt;menu-bar&gt; <o:p>
</o:p></p>
<p class=3D"MsoNormal">&lt;Org&gt; &lt;Logging work&gt; &lt;Clock out&gt; &=
lt;menu-bar&gt; &lt;Org&gt; &lt;Logging <o:p>
</o:p></p>
<p class=3D"MsoNormal">work&gt; &lt;Clock in&gt; &lt;help-echo&gt; &lt;down=
-mouse-1&gt; &lt;mouse-movement&gt;
<o:p></o:p></p>
<p class=3D"MsoNormal">&lt;mouse-1&gt; M-x r e p o r t - e m &lt;tab&gt; &l=
t;return&gt;<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Recent messages:<o:p></o:p></p>
<p class=3D"MsoNormal">Clock starts at [2013-08-02 Fri 10:41] - showing ent=
ire task time.<o:p></o:p></p>
<p class=3D"MsoNormal">byte-code: Beginning of buffer [13 times]<o:p></o:p>=
</p>
<p class=3D"MsoNormal">Mark saved where search started [2 times]<o:p></o:p>=
</p>
<p class=3D"MsoNormal">Mark set<o:p></o:p></p>
<p class=3D"MsoNormal">Mark saved where search started<o:p></o:p></p>
<p class=3D"MsoNormal">Auto-saving...done<o:p></o:p></p>
<p class=3D"MsoNormal">Mark set<o:p></o:p></p>
<p class=3D"MsoNormal">org-ctrl-c-ctrl-c: C-c C-c can do nothing useful at =
this location<o:p></o:p></p>
<p class=3D"MsoNormal">Clock stopped at [2013-08-02 Fri 10:54] after HH:MM =
=3D 0:13<o:p></o:p></p>
<p class=3D"MsoNormal">Clock starts at [2013-08-02 Fri 10:55] - showing ent=
ire task time.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Load-path shadows:<o:p></o:p></p>
<p class=3D"MsoNormal">None found.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Features:<o:p></o:p></p>
<p class=3D"MsoNormal">(shadow sort mail-extr emacsbug message rfc822 mml m=
ml-sec mm-decode<o:p></o:p></p>
<p class=3D"MsoNormal">mm-bodies mm-encode mailabbrev gmm-utils mailheader =
sendmail mail-utils<o:p></o:p></p>
<p class=3D"MsoNormal">sql vc-cvs vc-rcs vc-dir ewoc vc misearch multi-isea=
rch add-log<o:p></o:p></p>
<p class=3D"MsoNormal">vc-dispatcher vc-svn hideshow help-mode tabify org-t=
able org-clock<o:p></o:p></p>
<p class=3D"MsoNormal">w32-fullscreen org-wl org-w3m org-vm org-rmail org-m=
he org-mew org-irc<o:p></o:p></p>
<p class=3D"MsoNormal">org-jsinfo org-infojs org-html org-exp ob-exp org-ag=
enda org-info<o:p></o:p></p>
<p class=3D"MsoNormal">org-gnus org-docview org-bibtex bibtex org-bbdb org =
ob-tangle ob-ref<o:p></o:p></p>
<p class=3D"MsoNormal">ob-lob ob-table org-footnote org-src ob-comint ob-ke=
ys org-pcomplete<o:p></o:p></p>
<p class=3D"MsoNormal">pcomplete org-list org-faces org-entities noutline o=
utline easy-mmode<o:p></o:p></p>
<p class=3D"MsoNormal">org-version ob-emacs-lisp ob ob-eval org-loaddefs fo=
rmat-spec cal-menu<o:p></o:p></p>
<p class=3D"MsoNormal">calendar cal-loaddefs longlines confluence advice he=
lp-fns<o:p></o:p></p>
<p class=3D"MsoNormal">advice-preload confluence-edit image-file browse-url=
 thingatpt<o:p></o:p></p>
<p class=3D"MsoNormal">ediff-merg ediff-diff ediff-wind ediff-help ediff-ut=
il ediff-mult<o:p></o:p></p>
<p class=3D"MsoNormal">ediff-init ediff url-http tls url-auth mail-parse rf=
c2231 rfc2047<o:p></o:p></p>
<p class=3D"MsoNormal">rfc2045 ietf-drums url-gw xml-rpc xml doc-view jka-c=
ompr image-mode<o:p></o:p></p>
<p class=3D"MsoNormal">dired goto-last-change warnings server org-exp-block=
s org-compat<o:p></o:p></p>
<p class=3D"MsoNormal">org-macs find-func iimage php-mode etags cc-langs cl=
 cc-mode cc-fonts<o:p></o:p></p>
<p class=3D"MsoNormal">cc-guess cc-menus cc-cmds cc-styles cc-align cc-engi=
ne cc-vars cc-defs<o:p></o:p></p>
<p class=3D"MsoNormal">speedbar sb-image ezimage dframe easymenu ds-grep de=
rived compile comint<o:p></o:p></p>
<p class=3D"MsoNormal">ansi-color ring cl-macs gv cl-lib tempo url url-prox=
y url-privacy<o:p></o:p></p>
<p class=3D"MsoNormal">url-expand url-methods url-history url-cookie url-do=
msuf url-util<o:p></o:p></p>
<p class=3D"MsoNormal">url-parse auth-source eieio byte-opt bytecomp byte-c=
ompile cconv<o:p></o:p></p>
<p class=3D"MsoNormal">gnus-util mm-util mail-prsvr password-cache url-vars=
 mailcap xml-parse<o:p></o:p></p>
<p class=3D"MsoNormal">doxymacs which-func imenu autorevert paren cua-base =
cus-start cus-load<o:p></o:p></p>
<p class=3D"MsoNormal">time-date tooltip ediff-hook vc-hooks lisp-float-typ=
e mwheel dos-w32<o:p></o:p></p>
<p class=3D"MsoNormal">ls-lisp w32-common-fns disp-table w32-win w32-vars t=
ool-bar dnd fontset<o:p></o:p></p>
<p class=3D"MsoNormal">image regexp-opt fringe tabulated-list newcomment li=
sp-mode register<o:p></o:p></p>
<p class=3D"MsoNormal">page menu-bar rfn-eshadow timer select scroll-bar mo=
use jit-lock<o:p></o:p></p>
<p class=3D"MsoNormal">font-lock syntax facemenu font-core frame cham georg=
ian utf-8-lang<o:p></o:p></p>
<p class=3D"MsoNormal">misc-lang vietnamese tibetan thai tai-viet lao korea=
n japanese hebrew<o:p></o:p></p>
<p class=3D"MsoNormal">greek romanian slovak czech european ethiopic indian=
 cyrillic chinese<o:p></o:p></p>
<p class=3D"MsoNormal">case-table epa-hook jka-cmpr-hook help simple abbrev=
 minibuffer loaddefs<o:p></o:p></p>
<p class=3D"MsoNormal">button faces cus-face macroexp files text-properties=
 overlay sha1 md5<o:p></o:p></p>
<p class=3D"MsoNormal">base64 format env code-pages mule custom widget hash=
table-print-readable<o:p></o:p></p>
<p class=3D"MsoNormal">backquote make-network-process w32 multi-tty emacs)<=
o:p></o:p></p>
</div>
</body>
</html>
--_000_6BF8AEC9264CBA43A46A84B1CBF5464266F27BD9USMBX2ingrnetco_--





Acknowledgement sent to "Calkins, Chad M" <chad.calkins@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15011; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.